> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create decision category



## OpenAPI

````yaml post /v1/decision-categories
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/decision-categories:
    post:
      tags:
        - decision-categories
      summary: Create decision category
      operationId: TenantCategoryController_createCategory_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantCategoryCreateDto'
      responses:
        '201':
          description: Decision category created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantCategoryResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantCategoryCreateDto:
      type: object
      properties:
        tenantId:
          type: string
          description: Tenant ID
          example: 87899b5a-8ec9-4984-a28f-76f349b090f6
        sectionId:
          type: string
          description: Section ID
          example: c8bcd3e2-bdf3-4038-b0f3-10821b7fca59
        categoryName:
          type: string
          maxLength: 50
          description: Category name
          example: Finance
      required:
        - tenantId
        - categoryName
    TenantCategoryResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantCategoryResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantCategoryResponseDto:
      type: object
      properties:
        id:
          type: string
          example: de65c726-e7c2-4414-a663-73481cce67bd
          description: Unique identifier
        tenantId:
          type: string
          example: 6fe602ae-4f92-41e4-83f4-1f187cb6307e
          description: Tenant ID
        sectionId:
          type: string
          example: e0ad86e3-662d-4423-8d04-fff24464c1a8
          description: Section ID
        categoryName:
          type: string
          example: Finance
          description: Category name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        section:
          description: Section
          allOf:
            - $ref: '#/components/schemas/SectionsResponseDto'
        createdAt:
          format: date-time
          type: string
          example: '2024-01-15T12:00:00Z'
          description: Created at timestamp
      required:
        - id
        - tenantId
        - categoryName
        - isDeleted
        - section
        - createdAt
    SectionsResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 895f39c5-0896-48a5-bc8d-b8884b15eb42
          description: Unique identifier
        tenantId:
          type: string
          example: a647dc83-a274-40ba-aea1-e3117bda5137
          description: Tenant ID
        sectionName:
          type: string
          example: Finance Department
          description: Section name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
      required:
        - id
        - tenantId
        - sectionName
        - isDeleted
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````